package supply_analysis

import (
	"eta/eta_index_lib/global"
	"time"
)

// VarietyAdminPermission variety_admin_permission 品种权限表
type VarietyAdminPermission struct {
	Id         int       `gorm:"primaryKey;autoIncrement;column:id" description:"ID"`
	VarietyId  int       `gorm:"column:variety_id" description:"品种id"`
	SysUserId  int       `gorm:"column:sys_user_id" description:"用户id"`
	CreateTime time.Time `gorm:"column:create_time" description:"添加时间"`
}

// GetVarietyPermissionByVarietyIdAndUserId 根据品种id和用户id获取权限记录表
func GetVarietyPermissionByVarietyIdAndUserId(varietyId, sysUserId int) (item *VarietyAdminPermission, err error) {
	sql := `SELECT * FROM variety_admin_permission a  WHERE variety_id = ? AND sys_user_id = ? ORDER BY id desc `
	err = global.DEFAULT_DB.Raw(sql, varietyId, sysUserId).First(&item).Error

	return
}
