package trade_analysis

// TableExtraConfig 表格配置
type TableExtraConfig struct {
	CompanyName  string                     `description:"期货公司"`
	ClassifyList []TableExtraConfigClassify `description:"交易所品种信息"`
	ContractType int                        `description:"合约类型: 1-主力合约; 2-成交量前2; 3-成交量前3; 4-所有合约(多个); 5-合约加总(1个)"`
	DateType     int                        `description:"0-最新日期(默认); 1-固定日期"`
	IntervalMove int                        `description:"前移期数"`
	FixedDate    string                     `description:"固定日期"`
	PredictRatio float64                    `description:"预估参数, 0-1之间"`
}

// TableExtraConfigClassify 表格配置品种
type TableExtraConfigClassify struct {
	Exchange      string   `description:"交易所"`
	ClassifyNames []string `description:"品种"`
}

// TableRowData 表格行数据
type TableRowData struct {
	Exchange         string  `description:"交易所"`
	ClassifyName     string  `description:"品种"`
	ClassifyType     string  `description:"合约"`
	BuyValue         int     `description:"多单持仓量"`
	BuyChange        int     `description:"多单变化"`
	SoldValue        int     `description:"空单持仓量"`
	SoldChange       int     `description:"空单变化"`
	PureBuyVal       int     `description:"净多单持仓量"`
	PureBuyChange    int     `description:"净多单持仓增减"`
	BuySoldRatio     float64 `description:"多空比"`
	BuyTopRatio      float64 `description:"多单占前20比例"`
	SoldTopRatio     float64 `description:"空单占前20比例"`
	TopBuyValue      int     `description:"前20多单"`
	TopSoldValue     int     `description:"前20空单"`
	TopBuyChange     int     `description:"前20多单变动"`
	TopSoldChange    int     `description:"前20空单变动"`
	TopPureBuy       int     `description:"前20净多单"`
	TopPureBuyChange int     `description:"前20净多单变动"`
	TopBuySoldRatio  float64 `description:"前20多空比"`
}
